package com.itko.ext.trilead;


import java.io.IOException;
import java.util.Vector;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import com.itko.lisa.ext.trilead.*;
import com.trilead.ssh2.Connection;
import com.trilead.ssh2.ConnectionInfo;
import com.trilead.ssh2.SFTPv3Client;
import com.trilead.ssh2.Session;

public class ConnTest {

	String hostname = "192.168.184.129";
	int port = 22;
	String username = "notroot";
    String password = "thoughtpolice";
    String auth = TrileadConnectionFactory.AUTH_PASSWORD;
    String privateKey = null;
    String privateKeyPass = null;
    
	TrileadConnectionFactory fact;
	Connection conn;
	
	@Before
	public void setupConn() throws Exception {
		System.out.println("Creating connection to: " + hostname);
		fact = new TrileadConnectionFactory(
					hostname,
					port,
					username,
					password,
					auth,
					privateKey,
					privateKeyPass);
		
		System.out.println("Connection factory created");
		conn = (Connection)fact.makeObject();
		System.out.println("Connection made to: " + conn.getHostname());
	}
	
	@Test
	public void testAuthPasword() throws IOException {
		
//		TrileadConnectionFactory.testConnection(conn);
//		conn.sendIgnorePacket();
//		Session sess = conn.openSession();
//		sess.ping();
//		sess.close();
//		sess.execCommand("ls");
//		conn.ping();
		
		// Make sure we are authenticated properly
		boolean authComplete = conn.isAuthenticationComplete();
		System.out.println("Authentication complete: " + authComplete);	
		
		// Print out connection info
		ConnectionInfo ci = conn.getConnectionInfo();
		System.out.println("Connection info: " + ci);
		
		// Create SFTPv3 client
		SFTPv3Client sftp = new SFTPv3Client(conn);
		Vector files = sftp.ls("/");
		System.out.println("Files: " + files);
		sftp.close();
		
		
		
		SFTPv3Client sftp2 = new SFTPv3Client(conn);
		Vector files2 = sftp2.ls("/");
		System.out.println("Files2: " + files2);
		sftp.close();
		
	}
	
	@After
	public void destroy() {
		conn.close();
		System.out.println("Connection torn down");
	}
}
